Description: Preserves the backward compatibility with previous Java versions when built with Java 11+
Author: Emmanuel Bourg <ebourg@apache.org>
Forwarded: not
Index: jython/build.xml
===================================================================
--- jython.orig/build.xml
+++ jython/build.xml
@@ -700,6 +700,7 @@ The text for an official release would c
                 destdir="${compile.dir}"
                 target="${jdk.target.version}"
                 source="${jdk.source.version}"
+                release="${jdk.target.version}"
                 debug="${debug}"
                 deprecation="${deprecation}"
                 nowarn="${nowarn}"
@@ -766,6 +767,7 @@ The text for an official release would c
         <javac destdir="${compile.dir}"
                target="${jdk.target.version}"
                source="${jdk.source.version}"
+               release="${jdk.target.version}"
                debug="${debug}"
                deprecation="${deprecation}"
                nowarn="${nowarn}"
@@ -786,6 +788,7 @@ The text for an official release would c
                destdir="${compile.dir}"
                target="${jdk.target.version}"
                source="${jdk.source.version}"
+               release="${jdk.target.version}"
                debug="${debug}"
                deprecation="${deprecation}"
                nowarn="${nowarn}"
@@ -818,6 +821,7 @@ The text for an official release would c
                destdir="${test.compile.dir}"
                target="${jdk.target.version}"
                source="${jdk.source.version}"
+               release="${jdk.target.version}"
                debug="${debug}"
                deprecation="${deprecation}"
                nowarn="${nowarn}"
@@ -1237,6 +1241,7 @@ The text for an official release would c
                destdir="${compile.dir}"
                target="${jdk.target.version}"
                source="${jdk.source.version}"
+               release="${jdk.target.version}"
                debug="${debug}"
                deprecation="${deprecation}"
                nowarn="${nowarn}"
